globus_gss_assist.h(3)

NAME
globus_gss_assist.h - GSS Assist Header.

SYNOPSIS

#include 'gssapi.h'
#include <stdio.h>
#include <stdlib.h>
#include 'globus_gss_assist_constants.h'

  Macros

#define GLOBUS_GSI_GSS_ASSIST_MODULE
#define GlobusGssAssistFreeDNArray(dn_a)
Free array of distinguished names.

  Functions

int globus_gss_assist_token_get_fd (void *arg, void **bufp, size_t *sizep)
Get token from a FILE *.
int globus_gss_assist_token_send_fd (void *arg, void *buf, size_t size)
Send token via a FILE *.
int globus_gss_assist_token_send_fd_ex (void *exp, void *buf, size_t size)
Send a token to a FILE *.
int globus_gss_assist_token_send_fd_without_length (void *arg, void *buf, size_t size)
Send token to a FILE *.
OM_uint32 globus_gss_assist_acquire_cred (OM_uint32 *, gss_cred_usage_t, gss_cred_id_t *)
OM_uint32 globus_gss_assist_read_vhost_cred_dir (OM_uint32 *minor_status, const char *dir, gss_cred_id_t **output_credentials_array, size_t *output_credentials_array_size)
Acquire all GSSAPI credentials in a directory.
OM_uint32 globus_gss_assist_acquire_cred_ext (OM_uint32 *, char *, OM_uint32, const gss_OID_set, gss_cred_usage_t, gss_cred_id_t *, gss_OID_set *, OM_uint32 *)
OM_uint32 globus_gss_assist_accept_sec_context (OM_uint32 *, gss_ctx_id_t *, const gss_cred_id_t, char **, OM_uint32 *, int *, int *, gss_cred_id_t *, int(*get_token)(void *, void **, size_t *), void *get_context, int(*send_token)(void *, void *, size_t), void *send_context)
Accept a Security Context.
OM_uint32 globus_gss_assist_accept_sec_context_async (OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp, gss_cred_id_t *delegated_cred_handle)
Accept a Security Context Without Blocking.
OM_uint32 globus_gss_assist_init_sec_context (OM_uint32 *, const gss_cred_id_t, gss_ctx_id_t *, char *, OM_uint32, OM_uint32 *, int *, int(*get_token)(void *, void **, size_t *), void *get_arg, int(*send_token)(void *, void *, size_t), void *send_arg)
OM_uint32 globus_gss_assist_init_sec_context_async (OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp)
OM_uint32 globus_gss_assist_display_status (FILE *, char *, OM_uint32, OM_uint32, int)
OM_uint32 globus_gss_assist_display_status_str (char **, char *, OM_uint32, OM_uint32, int)
OM_uint32 globus_gss_assist_wrap_send (OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)
Wrap.
OM_uint32 globus_gss_assist_get_unwrap (OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char **data, size_t *length, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, FILE *fperr)
Get Unwrap.
OM_uint32 globus_gss_assist_will_handle_restrictions (OM_uint32 *minor_status, gss_ctx_id_t *context_handle)
OM_uint32 globus_gss_assist_export_sec_context (OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)
OM_uint32 globus_gss_assist_import_sec_context (OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)
globus_result_t globus_gss_assist_authorization_host_name (char *hostname, gss_name_t *authorization_hostname)
int globus_gss_assist_gridmap (char *globusidp, char **useridp)
Look up the default mapping for a Grid identity in a gridmap file.
int globus_gss_assist_userok (char *globusid, char *userid)
Gridmap entry existence check.
int globus_gss_assist_map_local_user (char *local_user, char **globusidp)
Look up the default Grid identity associated with a local user name.
globus_result_t globus_gss_assist_lookup_all_globusid (char *username, char **dns[], int *dn_count)
Look up all Grid IDs associated with a local user ID.
globus_result_t globus_gss_assist_map_and_authorize (gss_ctx_id_t context, char *service, char *desired_identity, char *identity_buffer, unsigned int identity_buffer_length)
Authorize the peer of a security context to use a service.
globus_result_t globus_gss_assist_map_and_authorize_sharing (char *shared_user_certificate, gss_ctx_id_t context, char *desired_identity, char *identity_buffer, unsigned int identity_buffer_length)
Authorize a particular credential for shared access.

Detailed Description

GSS Assist Header.

Function Documentation

  globus_result_t globus_gss_assist_authorization_host_name (char * hostname, gss_name_t * authorization_hostname)
Create a GSS Name structure from the given hostname. This function tries to resolve the given host name string to the canonical DNS name for the host.

Parameters
    hostname The host name or numerical address to be resolved and transform into a GSS Name
    authorization_hostname The resulting GSS Name

Returns
    GLOBUS_SUCCESS on successful completion, a error object otherwise

  OM_uint32 globus_gss_assist_wrap_send (OM_uint32 * minor_status, const gss_ctx_id_t context_handle, char * data, size_t length, int * token_status, int(* gss_assist_send_token )(void *, void *, size_t), void * gss_assist_send_context, FILE * fperr) [extern]

Wrap.

Parameters
    minor_status GSSAPI return code. If the call was successful, the minor status is equal to GLOBUS_SUCCESS. Otherwise, it is an error object ID for which
     globus_error_get() and globus_object_free() can be used to get and destroy it.
    context_handle the context.
    data pointer to application data to wrap and send
    length length of the data array
    token_status assist routine get/send token status
    gss_assist_send_token a send_token routine
    gss_assist_send_context first arg for the send_token
    fperr file handle to write error message to.

Returns
    GSS_S_COMPLETE on success Other GSSAPI errors on failure.

See also
    gss_wrap()

Author

Generated automatically by Doxygen for globus_gss_assist from the source code.